Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.prep
Class PreparedPolygonPredicate

    java.lang.Object
      com.vividsolutions.jts.geom.prep.PreparedPolygonPredicate

Direct Known Subclasses:
  AbstractPreparedPolygonContains, PreparedPolygonContainsProperly, PreparedPolygonIntersects

public abstract class PreparedPolygonPredicate
extends java.lang.Object

A base class for predicate operations on `PreparedPolygon`s.

Author:
  mbdavis

Field Summary
`protected PreparedPolygon` | `prepPoly`

Constructor Summary
`PreparedPolygonPredicate(PreparedPolygon prepPoly)` Creates an instance of this operation.

Method Summary
`protected boolean` | `isAllTestComponentsInTarget(Geometry testGeom)` Tests whether all components of the test Geometry are contained in the target geometry.
`protected boolean` | `isAllTestComponentsInTargetInterior(Geometry testGeom)` Tests whether all components of the test Geometry are contained in the interior of the target geometry.
`protected boolean` | `isAnyTargetComponentInAreaTest(Geometry testGeom, java.util.List targetRepPts)` Tests whether any component of the target geometry intersects the test geometry (which must be an areal geometry)
`protected boolean` | `isAnyTestComponentInTarget(Geometry testGeom)` Tests whether any component of the test Geometry intersects the area of the target geometry.
`protected boolean` | `isAnyTestComponentInTargetInterior(Geometry testGeom)` Tests whether any component of the test Geometry intersects the interior of the target geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prepPoly

    protected PreparedPolygon prepPoly

Constructor Detail

### PreparedPolygonPredicate

    public PreparedPolygonPredicate(PreparedPolygon prepPoly)

  Creates an instance of this operation.

Parameters:
  `prepPoly` - the PreparedPolygon to evaluate

Method Detail

### isAllTestComponentsInTarget

    protected boolean isAllTestComponentsInTarget(Geometry testGeom)

  Tests whether all components of the test Geometry are contained in the target geometry. Handles both linear and point components.

  Returns:
    true if all componenta of the argument are contained in the target geometry

### isAllTestComponentsInTargetInterior

    protected boolean isAllTestComponentsInTargetInterior(Geometry testGeom)

  Tests whether all components of the test Geometry are contained in the interior of the target geometry. Handles both linear and point components.

  Returns:
    true if all componenta of the argument are contained in the target geometry interior

### isAnyTestComponentInTarget

    protected boolean isAnyTestComponentInTarget(Geometry testGeom)

  Tests whether any component of the test Geometry intersects the area of the target geometry. Handles test geometries with both linear and point components.

  Returns:
    true if any component of the argument intersects the prepared area geometry

### isAnyTestComponentInTargetInterior

    protected boolean isAnyTestComponentInTargetInterior(Geometry testGeom)

  Tests whether any component of the test Geometry intersects the interior of the target geometry. Handles test geometries with both linear and point components.

  Returns:
    true if any component of the argument intersects the prepared area geometry interior

### isAnyTargetComponentInAreaTest

    protected boolean isAnyTargetComponentInAreaTest(Geometry testGeom,
                                                     java.util.List targetRepPts)

  Tests whether any component of the target geometry intersects the test geometry (which must be an areal geometry)

  Returns:
    true if any component intersects the areal test geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD